HLINS(1)

NAME
hlins - insert url's into html documents

SYNOPSIS
hlins [options] [infile]

DESCRIPTION
hlins is a program that inserts hypertext links into html documents, according to one or several data bases associating addresses (url's) to names. hlins is designed for inserting links for persons: It knows about abbreviations of first and middle names and tolerated dropping of the last part of a composite last name.

If no file argument is given then input is taken from stdin; when no output option (see below) is given then output goes to stdout.

For a complete description, see the documentation in html format.

OPTIONS
hlins follows the usual GNU command line syntax, with long options starting with two dashes (`--').

-o, --output-file file
    Write to file instead of standard output

-h, --help
    Show a summary of options.

-v, --version
    Show the version of the program.

-q, --quiet
    Suppress diagnostic output.

-db, --data-bases files ...
    Use files ... as data bases

-m, --modify files ...
    Don't act as filter but perform in-place modifications of files.

-R, --recursive
    Recursively descend into directories and act on all files with names ending on .html.

-td, --tmp-dir dir
    Use directory dir to create temporary files.

--db-to-html
    List the address data bases in HTML format to stdout.

ENVIRONMENT

TMPDIR
    default directory for creating temporay files.

VERSION
This manual pages describes version 0.39.

SEE ALSO
The full documentation with examples should be available in /usr/share/doc/hlins/.
See also the hlins home page http://www.lsv.ens-cachan.fr/~treinen/hlins/.

AUTHOR
Ralf Treinen <treinen@debian.org>.